Skip to main content
POST
Add custom organization team booking fields

Headers

cal-api-version
string
default:2026-06-12
required

Must be set to 2026-06-12. If not set to this value, the endpoint will default to an older version.

Example:

"2026-06-12"

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

teamId
number
required
eventTypeId
number
required
orgId
number
required

Body

application/json
bookingFields
(Default Full Name · object | Default Split Name · object | Default Email · object | Default Location · object | Default Title · object | Default Notes · object | Default Guests · object | Default Reschedule Reason · object | Default Attendee Phone · object | Workflow-added SMS Reminder · object | Workflow-added AI Agent Phone · object | Custom Email · object | Custom Phone · object | Custom Address · object | Custom Short Text · object | Custom Number · object | Custom Long Text · object | Custom Select · object | Custom Multi-Select · object | Custom Multiple Emails · object | Custom Checkbox Group · object | Custom Checkbox · object | Custom Radio Group · object | Custom URL · object)[]
required

Booking fields to add or use as a replacement. The array cannot be empty, contain duplicate default fields or custom slugs, or use a default field's slug for a custom field. When replacing fields, at least one of email or attendeePhoneNumber must remain visible and required. Workflow-added fields are read-only and ignored when replacing fields.

Minimum array length: 1

Response

201 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required